---
title: 'Element: webkitmouseforcechanged event'
slug: Web/API/Element/webkitmouseforcechanged_event
tags:
  - Event
  - Force Touch
  - MouseEvent
  - NeedsExample
  - Non-standard
  - Reference
  - Safari
  - Trackpad
  - UI
  - Web
  - WebKit
  - apple
  - mouse
  - touch
  - webkitmouseforcechanged
---
<p>{{APIRef}}{{Non-standard_header()}}</p>

<p><span class="seoSummary">The non-standard <strong><code>webkitmouseforcechanged</code></strong> event is fired by Safari each time the amount of pressure changes on the trackpad/touchscreen.</span></p>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row">Bubbles</th>
   <td>Unknown</td>
  </tr>
  <tr>
   <th scope="row">Cancelable</th>
   <td>Unknown</td>
  </tr>
  <tr>
   <th scope="row">Interface</th>
   <td>{{domxref("MouseEvent")}}</td>
  </tr>
 </tbody>
</table>

<p><strong><code>webkitmouseforcechanged</code></strong> is a proprietary, WebKit-specific event introduced by Apple to support their <a href="/en-US/docs/Web/API/Force_Touch_events">Force Touch events</a> feature.</p>

<p>This event first fires after the {{event("mousedown")}} event and stops firing before the {{event("mouseup")}} event.</p>

<h2 id="Specifications">Specifications</h2>

<p><em>Not part of any specification.</em> Apple has <a href="https://developer.apple.com/library/prerelease/mac/documentation/AppleApplications/Conceptual/SafariJSProgTopics/RespondingtoForceTouchEventsfromJavaScript.html">a description at the Mac Developer Library</a>.</p>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Element.webkitmouseforcechanged_event")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/Force_Touch_events">Force Touch events</a></li>
 <li>{{event("webkitmouseforcewillbegin")}}</li>
 <li>{{event("webkitmouseforcedown")}}</li>
 <li>{{event("webkitmouseforceup")}}</li>
</ul>
